
function response = Hypera_SendCommand(port, command, numResponseLines)

response = cell(0,0);

flush(port);
write(port,command,"char");
write(port,char(13),"char"); % end with carriage return
readline(port);              % read and discard the echoed command we just sent

for n = 1:numResponseLines
    response{n,1} = readline(port);
    if contains(response{1},'error','IgnoreCase',1)
        error(join(['Error returned from' command 'command: ' response{1}]));
    end
end
